> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Restart rav2

> New workflow started from the source run.

### Path parameters

<ParamField path="workflow_id" type="string (string)" required />

### Request body

JSON body of type `GenericObject`.

### Response

`object`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

<ResponseField name="source_workflow_id" type="string" required />

### Status codes

| Code  | Meaning                                   |
| ----- | ----------------------------------------- |
| `200` | New workflow started from the source run. |
| `400` | Validation error                          |
| `401` | Unauthorized                              |
| `404` | Not found                                 |
| `429` | Rate limited                              |
| `500` | Internal error                            |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/response-automation-v2/{workflow_id}/restart' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "source_workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
